%define name	camlp5
%define version	5.12
%define release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A preprocessor-pretty-printer of ocaml
Source: 	http://pauillac.inria.fr/~ddr/camlp5/distrib/src/%{name}-%{version}.tgz
URL:		http://pauillac.inria.fr/~ddr/camlp5
License:	GPL
Group:		Development/Other
BuildRequires:	ocaml
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Camlp5 is a preprocessor-pretty-printer of ocaml.
It is the continuation of the classical Camlp4 with new features.
It is compatible with OCaml versions from 3.08.1 to 3.11 included.

%prep
%setup -q

%build
./configure -libdir %{_libdir}/ocaml
make world.opt

%install
rm -rf %{buildroot}
make install \
    LIBDIR=%{buildroot}%{_libdir}/ocaml \
    MANDIR=%{buildroot}%{_mandir} \
    BINDIR=%{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES DEVEL ICHANGES INSTALL LICENSE README UPGRADING doc/html
%{_libdir}/ocaml/camlp5
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 5.12-2mdv2010.0
+ Revision: 389810
- rebuild

* Sun May 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 5.12-1mdv2010.0
+ Revision: 379212
- update to new version 5.12

* Mon Dec 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.11-1mdv2009.1
+ Revision: 317603
- new version

* Mon Oct 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.10-1mdv2009.1
+ Revision: 295545
- update to new version 5.10

* Sat Sep 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.09-2mdv2009.0
+ Revision: 281829
- put back libs directly at the root of ocaml tree, as in Debian, to make camlp5 a transparent replacement of camlp4 (bug #41942)

* Sat Aug 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.09-1mdv2009.0
+ Revision: 272810
- update to new version 5.09

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 5.08-4mdv2009.0
+ Revision: 243428
- rebuild

* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.08-2mdv2008.1
+ Revision: 178359
- rebuild

* Mon Feb 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.08-1mdv2008.1
+ Revision: 175064
- update to new version 5.08

* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.07-1mdv2008.1
+ Revision: 158626
- update to new version 5.07

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.06-1mdv2008.1
+ Revision: 138818
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.08-2mdv2008.0
+ Revision: 93177
- configure build for using files where they are installed

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.08-1mdv2008.0
+ Revision: 78389
- import camlp5


